/**
 * Hello, World! script from the Esolang wiki
 *
 * Outputs the string "Hello, world!" in ASCII decimal.
 *
 * @see https://esolangs.org/wiki/Intcode#Example_Programs
 */
const Computer = require("../IntComp/Computer");

const program = [4, 3, 101, 72, 14, 3, 101, 1, 4, 4, 5, 3, 16, 99, 29, 7, 0, 3, -67, -12, 87, -8, 3, -6, -8, -67, -23, -10];

const c = new Computer(program, {
    outputToConsole: true,
});

c.Run();
